Control data of identity

### Hierarchy

- ControlData

## Index

### Constructors

- constructor

### Properties

- address
- encryptedKey
- id
- salt

### Methods

- toJson
- fromJson

## Constructors

### constructor

- new ControlData(id: string, encryptedKey: PrivateKey, address: Address, salt: string): ControlData

- - Defined in identity.ts:47

  #### Parameters

  - ##### id: string

  - ##### encryptedKey: PrivateKey

  - ##### address: Address

  - ##### salt: string

  #### Returns ControlData

## Properties

### address

address: Address

- Defined in identity.ts:43

Addresso of control data

### encryptedKey

encryptedKey: PrivateKey

- Defined in identity.ts:39

Encrypted private key

### id

id: string

- Defined in identity.ts:35

Id of control data

### salt

salt: string

- Defined in identity.ts:47

Salt of control data

## Methods

### toJson

- toJson(): object

- - Defined in identity.ts:56

  #### Returns object

### Static fromJson

- fromJson(json: any): ControlData

- - Defined in identity.ts:27

  #### Parameters

  - ##### json: any

  #### Returns ControlData

Generated using TypeDoc